Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockLifecycleFactory

    java.lang.Object
      javax.faces.lifecycle.LifecycleFactory
          org.jboss.seam.mock.MockLifecycleFactory

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.lifecycle.LifecycleFactory>

    public class MockLifecycleFactory

extends javax.faces.lifecycle.LifecycleFactory

Field Summary

Fields inherited from class javax.faces.lifecycle.LifecycleFactory
`DEFAULT_LIFECYCLE`

Constructor Summary
`MockLifecycleFactory()`

Method Summary
`void` | `addLifecycle(String lifecycleId, javax.faces.lifecycle.Lifecycle lifecycle)`
`static javax.faces.lifecycle.Lifecycle` | `getLifecycle()`
`javax.faces.lifecycle.Lifecycle` | `getLifecycle(String lifecycleId)`
`Iterator<String>` | `getLifecycleIds()`
`static void` | `setLifecycle(javax.faces.lifecycle.Lifecycle lifecycle)`

Methods inherited from class javax.faces.lifecycle.LifecycleFactory
`getWrapped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockLifecycleFactory

    public MockLifecycleFactory()

Method Detail

### setLifecycle

    public static void setLifecycle(javax.faces.lifecycle.Lifecycle lifecycle)

### getLifecycle

    public static javax.faces.lifecycle.Lifecycle getLifecycle()

### addLifecycle

    public void addLifecycle(String lifecycleId,
                             javax.faces.lifecycle.Lifecycle lifecycle)

  Specified by:
    `addLifecycle` in class `javax.faces.lifecycle.LifecycleFactory`

### getLifecycle

    public javax.faces.lifecycle.Lifecycle getLifecycle(String lifecycleId)

  Specified by:
    `getLifecycle` in class `javax.faces.lifecycle.LifecycleFactory`

### getLifecycleIds

    public Iterator<String> getLifecycleIds()

  Specified by:
    `getLifecycleIds` in class `javax.faces.lifecycle.LifecycleFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.